--------------------------------------------------
--          Marine Mod Made by: VeSa            --
--------------------------------------------------


if sample==nil then sample={} end
sample.classes={}

-----------------------
-- INITIAL SETUP     --
-----------------------
function initArray(m)
	local array = {}
	for i = 1, m do
		array[i]=0
	end
	return array
end
sample.classes.class=initArray(32)
function sample.classes.classmenu(id)
	menu(id,"Select your Class,Plane,Car,Marine")	
end


-----------------------
-- TEAM -> CLASS     --
-----------------------
addhook("team","sample.classes.team")
function sample.classes.team(id,team)
	if (team>0) then
		sample.classes.classmenu(id)
	end
end


-----------------------
-- SERVERACTION      --
-----------------------
addhook("serveraction","sample.classes.serveraction")
function sample.classes.serveraction(id)
	sample.classes.classmenu(id)
end


-----------------------
-- CLASS SELECTION   --
-----------------------
addhook("menu","sample.classes.menu")
function sample.classes.menu(id,menu,sel)
	if (menu=="Select your Class") then
		if (sel>=0 and sel<=10) then
			sample.classes.class[id]=sel
			if (player(id,"health")>0) then
				parse("killplayer "..id)
			end
		end
	end
end


-----------------------
-- SPAWN             --
-----------------------
addhook("spawn","sample.classes.spawn")
function sample.classes.spawn(id)
	-- Plane
	if (sample.classes.class[id]<=1) then
	  parse ("setmaxhealth "..id.." 100")
	  parse("speedmod "..id.." 40")
	  parse("equip "..id.." 48")
          freeimage(id)
          id1=image("gfx/haxzo/plane.bmp",1,1,200+id) 
          imagescale(id1,1,1) 
          imageblend(id1,0) 
          imagealpha(id1,1.0)
	end
	-- Car
	if (sample.classes.class[id]==2) then
	  parse ("setmaxhealth "..id.." 80")
	  parse("speedmod "..id.." 30")
	  parse("equip "..id.." 32")
          freeimage(id) 
          id1=image("gfx/haxzo/policecar.bmp",1,1,200+id) 
          imagescale(id1,1,1) 
          imageblend(id1,3) 
          imagealpha(id1,1.0)
	end
	-- Marine
	if (sample.classes.class[id]==3) then
		parse ("setmaxhealth "..id.." 150")
		parse ("speedmod "..id.." 15")
	      parse("equip "..id.." 32")
	      parse("equip "..id.." 3")
          freeimage(id)
          id1=image("gfx/haxzo/marine.png",1,1,200+id) 
          imagescale(id1,1,1) 
          imageblend(id1,0) 
          imagealpha(id1,1.0)
	end
end

-----------------------
-- NO BUYING         --
-----------------------
addhook("buy","sample.classes.buy")
function sample.classes.buy()
	return 1
end


-----------------------
-- NO COLLECTING     --
-----------------------
addhook("walkover","sample.classes.walkover")
function sample.classes.walkover(id,iid,type)
	if (type>=61 and type<=68) then
		return 0
	end
	return 1
end


-----------------------
-- NO DROPPING       --
-----------------------
addhook("drop","sample.classes.drop")
function sample.classes.drop()
	return 1
end


-----------------------
-- NO DEAD DROPPING  --
-----------------------
addhook("die","sample.classes.die")
function sample.classes.die()
	return 1
end
